Skip to main content
POST
/
v1
/
webhooks
Create a webhook
curl --request POST \
  --url https://api.trulayer.ai/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "secret": "<string>",
  "events": [
    "failure.detected"
  ],
  "enabled": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

SDK API key (tl_...) or Clerk session JWT

Body

application/json
url
string<uri>
required
secret
string
required

HMAC secret for signature verification

Minimum string length: 16
events
string[]
enabled
boolean
default:true

Response

Webhook created

id
string<uuid>
required
tenant_id
string<uuid>
required
url
string<uri>
required
events
string[]
required
enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required